package com.kingdee.eas.custom.esign;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class FieldMappingEntryFactory
{
    private FieldMappingEntryFactory()
    {
    }
    public static com.kingdee.eas.custom.esign.IFieldMappingEntry getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.custom.esign.IFieldMappingEntry)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("C8BC376D") ,com.kingdee.eas.custom.esign.IFieldMappingEntry.class);
    }
    
    public static com.kingdee.eas.custom.esign.IFieldMappingEntry getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.custom.esign.IFieldMappingEntry)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("C8BC376D") ,com.kingdee.eas.custom.esign.IFieldMappingEntry.class, objectCtx);
    }
    public static com.kingdee.eas.custom.esign.IFieldMappingEntry getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.custom.esign.IFieldMappingEntry)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("C8BC376D"));
    }
    public static com.kingdee.eas.custom.esign.IFieldMappingEntry getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.custom.esign.IFieldMappingEntry)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("C8BC376D"));
    }
}